[
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Service Overview",
		"uri":"en-us_topic_0045853692.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"1"
	},
	{
		"desc":"Object Storage Service (OBS) is a cloud storage service optimized for storing massive amounts of data. It provides unlimited, secure, and highly reliable storage capabili",
		"product_code":"obs",
		"title":"About OBS",
		"uri":"en-us_topic_0045853681.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"2"
	},
	{
		"desc":"In this information era, it becomes increasingly difficult for conventional on-premises storage servers to deal with enterprises' explosive data growth. Table 1 details a",
		"product_code":"obs",
		"title":"Advantages",
		"uri":"obs_03_0201.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"3"
	},
	{
		"desc":"OBS can be used to access and store massive objects of all formats. As a web service, storage and access operations can be performed on OBS anytime at any location over t",
		"product_code":"obs",
		"title":"Application Scenarios",
		"uri":"obs_03_0202.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"4"
	},
	{
		"desc":"You can use Identity and Access Management (IAM) to manage OBS permissions and control access to your resources. IAM provides identity authentication, permissions managem",
		"product_code":"obs",
		"title":"Permissions Management",
		"uri":"obs_03_0045.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"5"
	},
	{
		"desc":"You can use the following tools to access and manage OBS resources:",
		"product_code":"obs",
		"title":"Using OBS",
		"uri":"obs_03_0203.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"6"
	},
	{
		"desc":"The OBS can serve as a storage resource pool for other cloud services such as Relational Database Service (RDS) and Cloud Trace Service (CTS).",
		"product_code":"obs",
		"title":"Related Services",
		"uri":"obs_03_0204.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"7"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Basic Concepts",
		"uri":"obs_03_0205.html",
		"doc_type":"usermanual",
		"p_code":"1",
		"code":"8"
	},
	{
		"desc":"Objects are basic units stored in OBS. It contains both data and the metadata that describes data properties. Data uploaded to OBS is stored in buckets as objects.An obje",
		"product_code":"obs",
		"title":"Objects",
		"uri":"obs_03_0206.html",
		"doc_type":"usermanual",
		"p_code":"8",
		"code":"9"
	},
	{
		"desc":"Buckets are containers for storing objects. OBS provides flat storage in the form of buckets and objects. Unlike the conventional multi-layer directory structure of file ",
		"product_code":"obs",
		"title":"Buckets",
		"uri":"obs_03_0207.html",
		"doc_type":"usermanual",
		"p_code":"8",
		"code":"10"
	},
	{
		"desc":"OBS supports AK/SK authentication. The AK/SK encryption method is used to authenticate a request sender. When you use OBS APIs for secondary development and use the AK an",
		"product_code":"obs",
		"title":"Access Keys (AK/SK)",
		"uri":"obs_03_0208.html",
		"doc_type":"usermanual",
		"p_code":"8",
		"code":"11"
	},
	{
		"desc":"Endpoint: OBS provides an endpoint for each region. An endpoint is a domain name to access OBS in a region and is used to process access requests of that region. For deta",
		"product_code":"obs",
		"title":"Endpoints and Domain Names",
		"uri":"obs_03_0152.html",
		"doc_type":"usermanual",
		"p_code":"8",
		"code":"12"
	},
	{
		"desc":"A region and availability zone (AZ) identify the location of a data center. You can create resources in a specific region and AZ.A region is a physical data center. Each ",
		"product_code":"obs",
		"title":"Region and AZ",
		"uri":"obs_03_0148.html",
		"doc_type":"usermanual",
		"p_code":"8",
		"code":"13"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"OBS Console Operation Guide",
		"uri":"obs_03_0300.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"14"
	},
	{
		"desc":"Table 1 lists functions provided by OBS Console.",
		"product_code":"obs",
		"title":"Console Function Overview",
		"uri":"obs_03_0054.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"15"
	},
	{
		"desc":"Table 1 lists the web browser versions supported by OBS Console.",
		"product_code":"obs",
		"title":"Restrictions",
		"uri":"obs_03_0301.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"16"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Getting Started",
		"uri":"obs_03_0302.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"17"
	},
	{
		"desc":"The follow-up sections describe how to complete the tasks illustrated in Figure 1.",
		"product_code":"obs",
		"title":"Process Description",
		"uri":"obs_03_0303.html",
		"doc_type":"usermanual",
		"p_code":"17",
		"code":"18"
	},
	{
		"desc":"If your cloud service account does not need individual IAM users, then you may skip this section. Your permissions to use OBS functions are not affected.If IAM users are ",
		"product_code":"obs",
		"title":"Configuring User Permissions",
		"uri":"obs_03_0304.html",
		"doc_type":"usermanual",
		"p_code":"17",
		"code":"19"
	},
	{
		"desc":"This section describes how to create a bucket on OBS Console. A bucket is a container that stores objects in OBS. Before you can store data in OBS, you need to create a b",
		"product_code":"obs",
		"title":"Creating a Bucket",
		"uri":"obs_03_0306.html",
		"doc_type":"usermanual",
		"p_code":"17",
		"code":"20"
	},
	{
		"desc":"This section describes how to upload local files to OBS over the Internet. These files can be texts, images, videos, or any other type of files.OBS Console allows you to ",
		"product_code":"obs",
		"title":"Uploading a File",
		"uri":"obs_03_0307.html",
		"doc_type":"usermanual",
		"p_code":"17",
		"code":"21"
	},
	{
		"desc":"Through OBS Console, you can download files stored in OBS to your PC.Objects in the Cold storage class can be downloaded only when they are in the Restored state.In the D",
		"product_code":"obs",
		"title":"Downloading a File",
		"uri":"obs_03_0308.html",
		"doc_type":"usermanual",
		"p_code":"17",
		"code":"22"
	},
	{
		"desc":"Deleting unnecessary files saves space and costs. On OBS Console, you can delete files one by one or in a batch.You can select multiple files and click Delete above the f",
		"product_code":"obs",
		"title":"Deleting a File",
		"uri":"obs_03_0309.html",
		"doc_type":"usermanual",
		"p_code":"17",
		"code":"23"
	},
	{
		"desc":"You can delete unwanted buckets on OBS Console to free up the quota of buckets.All objects in the bucket have been permanently deleted. A bucket must be emptied before it",
		"product_code":"obs",
		"title":"Deleting a Bucket",
		"uri":"obs_03_0310.html",
		"doc_type":"usermanual",
		"p_code":"17",
		"code":"24"
	},
	{
		"desc":"OBS supports tiered storage classes at the bucket level and object level.OBS provides the following storage classes: Standard, Warm, and Cold.Different storage classes me",
		"product_code":"obs",
		"title":"Storage Classes Overview",
		"uri":"en-us_topic_0050937852.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"25"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Managing Buckets",
		"uri":"obs_03_0311.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"26"
	},
	{
		"desc":"This section describes how to create a bucket on OBS Console. A bucket is a container that stores objects in OBS. Before you store data in OBS, you need to create a bucke",
		"product_code":"obs",
		"title":"Creating a Bucket",
		"uri":"en-us_topic_0045853662.html",
		"doc_type":"usermanual",
		"p_code":"26",
		"code":"27"
	},
	{
		"desc":"On OBS Console, you can view details of a bucket.The statistics of Used Capacity and Objects are not real-time data, which are usually updated 15 minutes in delay.",
		"product_code":"obs",
		"title":"Viewing Basic Information of a Bucket",
		"uri":"obs_03_0312.html",
		"doc_type":"usermanual",
		"p_code":"26",
		"code":"28"
	},
	{
		"desc":"This section describes how to search for a bucket by its name.Currently, searching for buckets by tag is not supported.Buckets that meet the search criteria are displayed",
		"product_code":"obs",
		"title":"Searching for a Bucket",
		"uri":"obs_03_0313.html",
		"doc_type":"usermanual",
		"p_code":"26",
		"code":"29"
	},
	{
		"desc":"You can delete unwanted buckets on OBS Console to free up the quota of buckets.All objects in the bucket have been permanently deleted. A bucket must be emptied before it",
		"product_code":"obs",
		"title":"Deleting a Bucket",
		"uri":"obs_03_0314.html",
		"doc_type":"usermanual",
		"p_code":"26",
		"code":"30"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Managing Objects",
		"uri":"obs_03_0315.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"31"
	},
	{
		"desc":"This section describes how to create a folder on OBS Console. Folders facilitate data management in OBS.Unlike a file system, OBS does not involve the concepts of file an",
		"product_code":"obs",
		"title":"Creating a Folder",
		"uri":"obs_03_0316.html",
		"doc_type":"usermanual",
		"p_code":"31",
		"code":"32"
	},
	{
		"desc":"This section describes how to upload local files to OBS over the Internet. These files can be texts, images, videos, or any other type of files.OBS Console allows you to ",
		"product_code":"obs",
		"title":"Uploading a File",
		"uri":"en-us_topic_0045853663.html",
		"doc_type":"usermanual",
		"p_code":"31",
		"code":"33"
	},
	{
		"desc":"Through OBS Console, you can download files from OBS to your PC. You can specify a download path or use the system default path.Objects in the Cold storage class can be d",
		"product_code":"obs",
		"title":"Downloading a File",
		"uri":"obs_03_0317.html",
		"doc_type":"usermanual",
		"p_code":"31",
		"code":"34"
	},
	{
		"desc":"This section describes how to search for a file or folder by name prefix on OBS Console.In the root directory of the bucket, files and folders whose name starts with the ",
		"product_code":"obs",
		"title":"Searching for a File or Folder",
		"uri":"obs_03_0318.html",
		"doc_type":"usermanual",
		"p_code":"31",
		"code":"35"
	},
	{
		"desc":"If you set the permission for an object to allow anonymous users to read it, anonymous users can access the object through the URL that you shared.A read permission has b",
		"product_code":"obs",
		"title":"Accessing an Object Using Its URL",
		"uri":"obs_03_0319.html",
		"doc_type":"usermanual",
		"p_code":"31",
		"code":"36"
	},
	{
		"desc":"You need to restore a Cold object before downloading it, accessing it using its URL, or setting ACL permissions or object metadata for it.If a Cold object is in the Resto",
		"product_code":"obs",
		"title":"Restoring a Cold File Stored in OBS",
		"uri":"obs_03_0320.html",
		"doc_type":"usermanual",
		"p_code":"31",
		"code":"37"
	},
	{
		"desc":"On OBS Console, you can delete unneeded files or folders to release space and reduce costs.This topic describes how to manually delete files or folders on OBS Console.OBS",
		"product_code":"obs",
		"title":"Deleting a File or Folder",
		"uri":"en-us_topic_0045853756.html",
		"doc_type":"usermanual",
		"p_code":"31",
		"code":"38"
	},
	{
		"desc":"If a bucket has the versioning function enabled, you can restore a deleted object through the Undelete operation.Object deletion mechanism when versioning is enabledWhen ",
		"product_code":"obs",
		"title":"Undeleting a File",
		"uri":"en-us_topic_0066176932.html",
		"doc_type":"usermanual",
		"p_code":"31",
		"code":"39"
	},
	{
		"desc":"Data can be uploaded to OBS using multipart uploads. Fragments are generated, if a multipart upload fails because of the following reasons (included but not limited to):T",
		"product_code":"obs",
		"title":"Managing Fragments",
		"uri":"en-us_topic_0045853514.html",
		"doc_type":"usermanual",
		"p_code":"31",
		"code":"40"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Server-Side Encryption",
		"uri":"obs_03_0321.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"41"
	},
	{
		"desc":"After server-side encryption is enabled, objects to be uploaded will be encrypted and stored on the server. When downloading the encrypted objects, the encrypted data wil",
		"product_code":"obs",
		"title":"Server-Side Encryption Overview",
		"uri":"en-us_topic_0066036553.html",
		"doc_type":"usermanual",
		"p_code":"41",
		"code":"42"
	},
	{
		"desc":"OBS enables you to configure default encryption for a bucket. After the configuration, objects uploaded to the bucket are automatically encrypted using the specified KMS ",
		"product_code":"obs",
		"title":"Bucket Default Encryption",
		"uri":"obs_03_0088.html",
		"doc_type":"usermanual",
		"p_code":"41",
		"code":"43"
	},
	{
		"desc":"OBS allows users to encrypt objects using server-side encryption so that the objects can be securely stored in OBS.The object encryption status cannot be changed.A key in",
		"product_code":"obs",
		"title":"Uploading a File with Server-Side Encryption",
		"uri":"obs_03_0322.html",
		"doc_type":"usermanual",
		"p_code":"41",
		"code":"44"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Object Metadata",
		"uri":"obs_03_0323.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"45"
	},
	{
		"desc":"Object metadata is a set of name-value pairs that are part of object management.Currently, only the metadata defined by the system is supported.The metadata defined by th",
		"product_code":"obs",
		"title":"Object Metadata Overview",
		"uri":"en-us_topic_0049066876.html",
		"doc_type":"usermanual",
		"p_code":"45",
		"code":"46"
	},
	{
		"desc":"When an object is uploaded to OBS, the system automatically matches the value of Content-Type based on the file name extension of the object. When you access an object th",
		"product_code":"obs",
		"title":"About Object Metadata Content-Type",
		"uri":"obs_03_0102.html",
		"doc_type":"usermanual",
		"p_code":"45",
		"code":"47"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Configuring Object Metadata",
		"uri":"obs_03_0324.html",
		"doc_type":"usermanual",
		"p_code":"45",
		"code":"48"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Permission Control",
		"uri":"obs_03_0086.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"49"
	},
	{
		"desc":"OBS supports the following permission control mechanisms:IAM policies: IAM policies define the actions that can be performed on your cloud resources. In other words, IAM ",
		"product_code":"obs",
		"title":"Overview",
		"uri":"obs_03_0047.html",
		"doc_type":"usermanual",
		"p_code":"49",
		"code":"50"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Permission Control Mechanisms",
		"uri":"obs_03_0109.html",
		"doc_type":"usermanual",
		"p_code":"49",
		"code":"51"
	},
	{
		"desc":"You can create IAM users under a registered cloud service account, and then use IAM policies to control users' access permissions to cloud resources.IAM policies define t",
		"product_code":"obs",
		"title":"IAM Policies",
		"uri":"obs_03_0110.html",
		"doc_type":"usermanual",
		"p_code":"51",
		"code":"52"
	},
	{
		"desc":"The owner of a bucket is the account that created the bucket. If the bucket is created by an IAM user under the account, the bucket owner is the account instead of the IA",
		"product_code":"obs",
		"title":"Bucket Policies and Object Policies",
		"uri":"en-us_topic_0045853745.html",
		"doc_type":"usermanual",
		"p_code":"51",
		"code":"53"
	},
	{
		"desc":"Access control lists (ACLs) enable you to manage access to buckets and objects, and define grantees and their granted access permissions. Each bucket and object has its o",
		"product_code":"obs",
		"title":"Bucket ACLs and Object ACLs",
		"uri":"en-us_topic_0066088967.html",
		"doc_type":"usermanual",
		"p_code":"51",
		"code":"54"
	},
	{
		"desc":"Bucket ACLs are used to control basic read and write access permissions for buckets. Custom settings of bucket policies support more actions that can be performed on buck",
		"product_code":"obs",
		"title":"Relationship Between a Bucket ACL and a Bucket Policy",
		"uri":"obs_03_0325.html",
		"doc_type":"usermanual",
		"p_code":"51",
		"code":"55"
	},
	{
		"desc":"Based on the least-privilege principle, decisions default to deny, and an explicit deny statement always takes precedence over an allow statement. For example, IAM polici",
		"product_code":"obs",
		"title":"How Does Authorization Work When Multiple Access Control Mechanisms Co-Exist?",
		"uri":"obs_03_0114.html",
		"doc_type":"usermanual",
		"p_code":"51",
		"code":"56"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Bucket Policy Parameters",
		"uri":"obs_03_0074.html",
		"doc_type":"usermanual",
		"p_code":"49",
		"code":"57"
	},
	{
		"desc":"A bucket policy can either allow or deny the access requests that match the configuration.Allow: Indicates that access requests are allowed, if they match the configurati",
		"product_code":"obs",
		"title":"Effect",
		"uri":"obs_03_0115.html",
		"doc_type":"usermanual",
		"p_code":"57",
		"code":"58"
	},
	{
		"desc":"This parameter specifies users on whom the bucket policy takes effect, including accounts, federated users or federated user groups, and IAM users. Target users can be sp",
		"product_code":"obs",
		"title":"Principal",
		"uri":"obs_03_0049.html",
		"doc_type":"usermanual",
		"p_code":"57",
		"code":"59"
	},
	{
		"desc":"The resource can be the current entire bucket, an object, or a set of objects in the bucket.Resources can be specified in either of the following ways:Include: Indicates ",
		"product_code":"obs",
		"title":"Resources",
		"uri":"obs_03_0118.html",
		"doc_type":"usermanual",
		"p_code":"57",
		"code":"60"
	},
	{
		"desc":"Actions are related to resources. When the resource is the current bucket, actions configured in the bucket policy must be bucket related actions. When objects are specif",
		"product_code":"obs",
		"title":"Actions",
		"uri":"obs_03_0051.html",
		"doc_type":"usermanual",
		"p_code":"57",
		"code":"61"
	},
	{
		"desc":"In addition to the effect, principal, resources, and actions, you can also specify the conditions under which the bucket policy takes effect. A bucket policy takes effect",
		"product_code":"obs",
		"title":"Conditions",
		"uri":"obs_03_0120.html",
		"doc_type":"usermanual",
		"p_code":"57",
		"code":"62"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Configuring IAM Policies",
		"uri":"obs_03_0144.html",
		"doc_type":"usermanual",
		"p_code":"49",
		"code":"63"
	},
	{
		"desc":"User groups facilitate centralized user management and streamlined permissions management. Users in the same user group have the same permissions. Users created in IAM in",
		"product_code":"obs",
		"title":"Creating a User and Granting OBS Permissions",
		"uri":"obs_03_0122.html",
		"doc_type":"usermanual",
		"p_code":"63",
		"code":"64"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Configuring a Bucket Policy",
		"uri":"en-us_topic_0045853584.html",
		"doc_type":"usermanual",
		"p_code":"49",
		"code":"65"
	},
	{
		"desc":"For standard bucket policy, OBS offers three options, namely the Private, Public Read, and Public Read and Write policies. These policies are pre-defined and can be appli",
		"product_code":"obs",
		"title":"Configuring a Standard Bucket Policy",
		"uri":"obs_03_0142.html",
		"doc_type":"usermanual",
		"p_code":"65",
		"code":"66"
	},
	{
		"desc":"If you want to grant special permissions to specific users, you can configure custom bucket policies. If a standard bucket policy conflicts with a custom bucket policy, t",
		"product_code":"obs",
		"title":"Configuring a Custom Bucket Policy (Common Mode)",
		"uri":"obs_03_0123.html",
		"doc_type":"usermanual",
		"p_code":"65",
		"code":"67"
	},
	{
		"desc":"You can configure a custom bucket policy by coding. The size of a custom bucket policy cannot exceed 20 KB.On the right of Custom Bucket Policies, select Coding mode to c",
		"product_code":"obs",
		"title":"Configuring a Custom Bucket Policy (Coding Mode)",
		"uri":"obs_03_0141.html",
		"doc_type":"usermanual",
		"p_code":"65",
		"code":"68"
	},
	{
		"desc":"An object policy applies to a specific object, which is also part of a bucket policy. The resource of an object policy is the selected object, and the actions and conditi",
		"product_code":"obs",
		"title":"Configuring an Object Policy",
		"uri":"obs_03_0075.html",
		"doc_type":"usermanual",
		"p_code":"49",
		"code":"69"
	},
	{
		"desc":"You are the bucket owner or you have the permission to write the bucket ACL.Enter an account ID or account name and set ACL permissions for the account. You can obtain ac",
		"product_code":"obs",
		"title":"Configuring a Bucket ACL",
		"uri":"obs_03_0326.html",
		"doc_type":"usermanual",
		"p_code":"49",
		"code":"70"
	},
	{
		"desc":"You are the object owner or you have the permission to write the object ACL.An object owner is the account that uploads the object, but may not be the owner of the bucket",
		"product_code":"obs",
		"title":"Configuring an Object ACL",
		"uri":"en-us_topic_0045853821.html",
		"doc_type":"usermanual",
		"p_code":"49",
		"code":"71"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Application Cases",
		"uri":"obs_03_0127.html",
		"doc_type":"usermanual",
		"p_code":"49",
		"code":"72"
	},
	{
		"desc":"Create an IAM user under in an account. The IAM user has no permission to any resource before it is added to any user group. The bucket owner (root account) or other acco",
		"product_code":"obs",
		"title":"Granting an IAM User with the Operation Permissions for a Specified Bucket",
		"uri":"obs_03_0080.html",
		"doc_type":"usermanual",
		"p_code":"72",
		"code":"73"
	},
	{
		"desc":"The bucket owner (root account) or other accounts and IAM users, who have the permission to set bucket policies, can configure bucket policies to grant the bucket operati",
		"product_code":"obs",
		"title":"Granting Other Accounts with the Operation Permissions for a Specified Bucket",
		"uri":"obs_03_0081.html",
		"doc_type":"usermanual",
		"p_code":"72",
		"code":"74"
	},
	{
		"desc":"You can configure a bucket policy to authorize a specified address the permission to access the bucket. This example shows how to deny a client access whose source IP add",
		"product_code":"obs",
		"title":"Restricting Bucket Access to a Specified Address",
		"uri":"obs_03_0130.html",
		"doc_type":"usermanual",
		"p_code":"72",
		"code":"75"
	},
	{
		"desc":"You can configure the bucket policy to limit the time when objects in a bucket are accessible. In the following example, the access time window is from 2019-03-26T12:00:0",
		"product_code":"obs",
		"title":"Configuring the Start Time and End Time of Access to Objects in a Bucket",
		"uri":"obs_03_0131.html",
		"doc_type":"usermanual",
		"p_code":"72",
		"code":"76"
	},
	{
		"desc":"An enterprise stores a large volume of map data in OBS, and offers the data for public query. This enterprise sets a read permission for anonymous users, and provides the",
		"product_code":"obs",
		"title":"Authorizing Access Permissions to Anonymous Users",
		"uri":"obs_03_0132.html",
		"doc_type":"usermanual",
		"p_code":"72",
		"code":"77"
	},
	{
		"desc":"If all objects in a folder need to be accessible to anonymous users, you can configure a bucket policy or an object policy to grant anonymous users the permission to acce",
		"product_code":"obs",
		"title":"Authorizing Folder Access Permissions to Anonymous Users",
		"uri":"obs_03_0096.html",
		"doc_type":"usermanual",
		"p_code":"72",
		"code":"78"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Versioning",
		"uri":"en-us_topic_0045853849.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"79"
	},
	{
		"desc":"OBS can store multiple versions of an object. You can quickly search for and restore different versions or restore data in the event of accidental deletions or applicatio",
		"product_code":"obs",
		"title":"Versioning Overview",
		"uri":"en-us_topic_0045853504.html",
		"doc_type":"usermanual",
		"p_code":"79",
		"code":"80"
	},
	{
		"desc":"After versioning is enabled, on the object details page that is displayed, click Versions, and then you can delete and download versions of the object.You can download a ",
		"product_code":"obs",
		"title":"Configuring Versioning",
		"uri":"obs_03_0327.html",
		"doc_type":"usermanual",
		"p_code":"79",
		"code":"81"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Logging",
		"uri":"obs_03_0328.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"82"
	},
	{
		"desc":"You can enable logging to facilitate analysis or audit as required. Access logs enable a bucket owner to analyze the property, type, or trend of requests to the bucket in",
		"product_code":"obs",
		"title":"Logging Overview",
		"uri":"en-us_topic_0045853553.html",
		"doc_type":"usermanual",
		"p_code":"82",
		"code":"83"
	},
	{
		"desc":"After logging is enabled for a bucket, OBS automatically converts bucket logs into objects following the naming rules and writes the objects into a target bucket.After lo",
		"product_code":"obs",
		"title":"Configuring Access Logging for a Bucket",
		"uri":"obs_03_0329.html",
		"doc_type":"usermanual",
		"p_code":"82",
		"code":"84"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Tags",
		"uri":"obs_03_0330.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"85"
	},
	{
		"desc":"Tags are used to identify and classify OBS buckets.If you add tags to a bucket, charging data records (CDRs) generated by the requests for this bucket will be added with ",
		"product_code":"obs",
		"title":"Tag Overview",
		"uri":"en-us_topic_0059888284.html",
		"doc_type":"usermanual",
		"p_code":"85",
		"code":"86"
	},
	{
		"desc":"You can add tags to a bucket when creating the bucket. For details, see Creating a Bucket. Also you can add tags to a bucket after it has been created. This topic describ",
		"product_code":"obs",
		"title":"Configuring Tags for a Bucket",
		"uri":"obs_03_0331.html",
		"doc_type":"usermanual",
		"p_code":"85",
		"code":"87"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Event Notification",
		"uri":"obs_03_0332.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"88"
	},
	{
		"desc":"Simple Message Notification (SMN) is a reliable and extensible message notification service that can handle a huge number of messages. SMN significantly simplifies system",
		"product_code":"obs",
		"title":"SMN-Enabled Event Notification",
		"uri":"en-us_topic_0045853816.html",
		"doc_type":"usermanual",
		"p_code":"88",
		"code":"89"
	},
	{
		"desc":"This topic describes how to configure an SMN-enabled event notification rule on OBS Console.For details, see SMN-Enabled Event Notification.Alternatively, you can choose ",
		"product_code":"obs",
		"title":"Configuring SMN-Enabled Event Notification",
		"uri":"en-us_topic_0066088963.html",
		"doc_type":"usermanual",
		"p_code":"88",
		"code":"90"
	},
	{
		"desc":"An enterprise has a large number of files to archive but it does not want to cost much on storage resources. Therefore, the enterprise subscribes to OBS for storing the f",
		"product_code":"obs",
		"title":"Application Example: Configuring SMN-Enabled Event Notification",
		"uri":"obs_03_0333.html",
		"doc_type":"usermanual",
		"p_code":"88",
		"code":"91"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Lifecycle Management",
		"uri":"obs_03_0334.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"92"
	},
	{
		"desc":"Lifecycle management means periodically deleting objects in a bucket or transitioning between object storage classes by configuring rules.Lifecycle management applies to ",
		"product_code":"obs",
		"title":"Lifecycle Management Overview",
		"uri":"en-us_topic_0045853659.html",
		"doc_type":"usermanual",
		"p_code":"92",
		"code":"93"
	},
	{
		"desc":"You can configure the lifecycle rule for a bucket or an object. You can transition the storage class of an object from Standard to Warm or Cold, or from Warm to Cold. How",
		"product_code":"obs",
		"title":"Configuring a Lifecycle Rule",
		"uri":"obs_03_0335.html",
		"doc_type":"usermanual",
		"p_code":"92",
		"code":"94"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"User-Defined Domain Name Binding",
		"uri":"obs_03_0030.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"95"
	},
	{
		"desc":"After a file is uploaded to a bucket, you can access this file using the bucket's domain name by default. If you want to access the file using a user-defined domain name,",
		"product_code":"obs",
		"title":"User-Defined Domain Name Binding Overview",
		"uri":"obs_03_0031.html",
		"doc_type":"usermanual",
		"p_code":"95",
		"code":"96"
	},
	{
		"desc":"A bucket has been created and website files have been uploaded to the bucket.Currently, the suffix of a user-defined domain name can contain 2 to 6 uppercase and lowercas",
		"product_code":"obs",
		"title":"Binding a User-Defined Domain Name",
		"uri":"obs_03_0032.html",
		"doc_type":"usermanual",
		"p_code":"95",
		"code":"97"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Static Website Hosting",
		"uri":"obs_03_0336.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"98"
	},
	{
		"desc":"You can upload the content files of static websites to your bucket on OBS, authorize anonymous users the permission to read these files, and configure static website host",
		"product_code":"obs",
		"title":"Static Website Hosting Overview",
		"uri":"en-us_topic_0066036537.html",
		"doc_type":"usermanual",
		"p_code":"98",
		"code":"99"
	},
	{
		"desc":"When using static website hosting, you can also configure redirection to redirect specific or all requests.If the structure, address, or file name extension of a website ",
		"product_code":"obs",
		"title":"Redirection Overview",
		"uri":"obs_03_0337.html",
		"doc_type":"usermanual",
		"p_code":"98",
		"code":"100"
	},
	{
		"desc":"This section describes how to configure static website hosting for buckets and use bucket domain names to access static websites.The static website hosting takes effect w",
		"product_code":"obs",
		"title":"Configuring Static Website Hosting",
		"uri":"en-us_topic_0045853755.html",
		"doc_type":"usermanual",
		"p_code":"98",
		"code":"101"
	},
	{
		"desc":"You can configure static website hosting by redirecting all requests for a bucket to another bucket or URL.Web page files of the static website have been uploaded to a bu",
		"product_code":"obs",
		"title":"Configuring Redirection",
		"uri":"en-us_topic_0066088957.html",
		"doc_type":"usermanual",
		"p_code":"98",
		"code":"102"
	},
	{
		"desc":"OBS allows you to access static websites hosted by OBS using user-defined domain names. This section uses a specific scenario as an example to describe how to use a user-",
		"product_code":"obs",
		"title":"Using a User-Defined Domain Name to Configure Static Website Hosting",
		"uri":"obs_03_0338.html",
		"doc_type":"usermanual",
		"p_code":"98",
		"code":"103"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"CORS",
		"uri":"obs_03_0339.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"104"
	},
	{
		"desc":"CORS is a browser-standard mechanism provided by the World Wide Web Consortium (W3C). It defines the interaction methods between client-side web applications in one origi",
		"product_code":"obs",
		"title":"CORS Overview",
		"uri":"en-us_topic_0045853680.html",
		"doc_type":"usermanual",
		"p_code":"104",
		"code":"105"
	},
	{
		"desc":"This section describes how to use CORS in HTML5 to implement cross-origin access.Static website hosting has been configured. For details about how to configure static web",
		"product_code":"obs",
		"title":"Configuring CORS",
		"uri":"en-us_topic_0066036542.html",
		"doc_type":"usermanual",
		"p_code":"104",
		"code":"106"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"URL Validation",
		"uri":"obs_03_0340.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"107"
	},
	{
		"desc":"To reduce costs, some websites steal links from other websites to enrich their own contents. Link stealing not only damages interests of the original websites but also in",
		"product_code":"obs",
		"title":"URL Validation Overview",
		"uri":"en-us_topic_0045853689.html",
		"doc_type":"usermanual",
		"p_code":"107",
		"code":"108"
	},
	{
		"desc":"OBS blocks access requests from blacklisted URLs and allows those from whitelisted URLs.Static website hosting has been enabled.The following describes the principles for",
		"product_code":"obs",
		"title":"Configuring URL Validation",
		"uri":"obs_03_0341.html",
		"doc_type":"usermanual",
		"p_code":"107",
		"code":"109"
	},
	{
		"desc":"Cloud Trace Service (CTS) records operations on cloud resources in your account. You can use the records to perform security analysis, track resource changes, audit compl",
		"product_code":"obs",
		"title":"Cloud Trace Service",
		"uri":"obs_03_0020.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"110"
	},
	{
		"desc":"When you delete or change the storage class of an object, the Task Management is displayed in the lower part of the console. You can manage tasks through Task Management.",
		"product_code":"obs",
		"title":"Task Management",
		"uri":"obs_03_0076.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"111"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Troubleshooting",
		"uri":"obs_03_0342.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"112"
	},
	{
		"desc":"A user logs in to OBS Console using Internet Explorer 11 and uploads an object. When the user attempts to download the object to the original path to replace the original",
		"product_code":"obs",
		"title":"An Object Fails to Be Downloaded Using Internet Explorer 11",
		"uri":"obs_03_0343.html",
		"doc_type":"usermanual",
		"p_code":"112",
		"code":"113"
	},
	{
		"desc":"Why OBS Console cannot be opened in Internet Explorer 9, even if the address of OBS Console can be pinged?Confirm whether Use SSL and Use TLS are selected in Internet Opt",
		"product_code":"obs",
		"title":"OBS Console Cannot Be Opened in Internet Explorer 9",
		"uri":"obs_03_0344.html",
		"doc_type":"usermanual",
		"p_code":"112",
		"code":"114"
	},
	{
		"desc":"After an object with a relatively long name is downloaded to a local path, the object name changes.For Windows, a file name, including the file name extension, can contai",
		"product_code":"obs",
		"title":"The Object Name Changes After an Object with a Long Name Is Downloaded to a Local Computer",
		"uri":"obs_03_0345.html",
		"doc_type":"usermanual",
		"p_code":"112",
		"code":"115"
	},
	{
		"desc":"When configuring event notification on OBS, the user is prompted by the message \"OBS is not authorized to use this topic. Go to SMN to authorize OBS to use this topic.\"Go",
		"product_code":"obs",
		"title":"Failed to Configure Event Notification",
		"uri":"obs_03_0346.html",
		"doc_type":"usermanual",
		"p_code":"112",
		"code":"116"
	},
	{
		"desc":"Error message \"Time difference is longer than 15 minutes between the client and server\" or \"The difference between the request time and the current time is too large\" is ",
		"product_code":"obs",
		"title":"Time Difference Is Longer Than 15 Minutes Between the Client and Server",
		"uri":"obs_03_0347.html",
		"doc_type":"usermanual",
		"p_code":"112",
		"code":"117"
	},
	{
		"desc":"If a request fails to be processed due to errors, an error response is returned. An error response contains an error code and error details. Table 1 lists some common err",
		"product_code":"obs",
		"title":"Error Code List",
		"uri":"obs_03_0348.html",
		"doc_type":"usermanual",
		"p_code":"14",
		"code":"118"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"OBS Browser Operation Guide",
		"uri":"obs_03_0400.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"119"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Introduction to OBS Browser",
		"uri":"obs_03_0401.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"120"
	},
	{
		"desc":"OBS Browser is a client that runs on Windows systems. It can help you effortlessly manage object storage on your personal computers.Download OBS Browser. For details, see",
		"product_code":"obs",
		"title":"OBS Browser Overview",
		"uri":"en-us_topic_0045853837.html",
		"doc_type":"usermanual",
		"p_code":"120",
		"code":"121"
	},
	{
		"desc":"Table 1 describes the functions of OBS Browser:Function descriptionFunctionDescriptionBucket managementCreates and deletes buckets of different storage classes in specifi",
		"product_code":"obs",
		"title":"Function Description",
		"uri":"obs_03_0402.html",
		"doc_type":"usermanual",
		"p_code":"120",
		"code":"122"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Getting Started",
		"uri":"obs_03_0403.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"123"
	},
	{
		"desc":"The follow-up sections describe how to complete the following tasks illustrated in Figure 1.Click  in the upper right of the page, or right-click the bucket list or objec",
		"product_code":"obs",
		"title":"Process Description",
		"uri":"obs_03_0064.html",
		"doc_type":"usermanual",
		"p_code":"123",
		"code":"124"
	},
	{
		"desc":"If your cloud service account does not need individual IAM users, then you may skip this section. Your permissions to use OBS functions are not affected.If IAM users are ",
		"product_code":"obs",
		"title":"Configuring User Permissions",
		"uri":"obs_03_0035.html",
		"doc_type":"usermanual",
		"p_code":"123",
		"code":"125"
	},
	{
		"desc":"The OBS Browser software package is integrated into OBS Console. You can log in to OBS Console and download it.",
		"product_code":"obs",
		"title":"Downloading OBS Browser",
		"uri":"en-us_topic_0045853783.html",
		"doc_type":"usermanual",
		"p_code":"123",
		"code":"126"
	},
	{
		"desc":"This section describes how to create access keys (AK and SK) in OBS Console. A pair of AK and SK is used to encrypt the signature of a request, ensuring that the request ",
		"product_code":"obs",
		"title":"Creating Access Keys (AK and SK)",
		"uri":"obs_03_0405.html",
		"doc_type":"usermanual",
		"p_code":"123",
		"code":"127"
	},
	{
		"desc":"This section describes how to log in to OBS Browser.If you are starting OBS Browser for the first time, the Add Account dialog box is automatically displayed. Go directly",
		"product_code":"obs",
		"title":"Logging In to OBS Browser",
		"uri":"en-us_topic_0045853477.html",
		"doc_type":"usermanual",
		"p_code":"123",
		"code":"128"
	},
	{
		"desc":"A bucket is a container that stores objects in OBS. Before you store data in OBS, you need to create a bucket first.An account can create a maximum of 100 buckets.",
		"product_code":"obs",
		"title":"Adding a Bucket",
		"uri":"obs_03_0022.html",
		"doc_type":"usermanual",
		"p_code":"123",
		"code":"129"
	},
	{
		"desc":"Files are uploaded in multiparts on OBS Browser. OBS Browser supports the upload of a single file with the maximum size of 48.8 TB.OBS Browser supports resumable transfer",
		"product_code":"obs",
		"title":"Uploading a File or Folder",
		"uri":"obs_03_0024.html",
		"doc_type":"usermanual",
		"p_code":"123",
		"code":"130"
	},
	{
		"desc":"OBS Browser supports batch download. You can select multiple files or folders and click Download above the object list to download objects in batches.Before downloading C",
		"product_code":"obs",
		"title":"Downloading a File or Folder",
		"uri":"obs_03_0025.html",
		"doc_type":"usermanual",
		"p_code":"123",
		"code":"131"
	},
	{
		"desc":"Deleting a folder will delete all files in the folder. Ensure that all files in a folder are not needed before deleting the folder.OBS Browser supports batch deletion. Yo",
		"product_code":"obs",
		"title":"Deleting a File or Folder",
		"uri":"obs_03_0026.html",
		"doc_type":"usermanual",
		"p_code":"123",
		"code":"132"
	},
	{
		"desc":"You can delete unwanted buckets on OBS Console to free up the quota of buckets.All objects in the bucket have been deleted.This operation can be performed only by the buc",
		"product_code":"obs",
		"title":"Deleting a Bucket",
		"uri":"obs_03_0027.html",
		"doc_type":"usermanual",
		"p_code":"123",
		"code":"133"
	},
	{
		"desc":"OBS supports tiered storage classes at the bucket level and object level.OBS provides the following storage classes: Standard, Warm, and Cold.Different storage classes me",
		"product_code":"obs",
		"title":"Storage Classes Overview",
		"uri":"obs_03_0012.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"134"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Managing Buckets",
		"uri":"obs_03_0406.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"135"
	},
	{
		"desc":"OBS Browser supports three methods of bucket management.You can click the button above the bucket list to manage buckets.Also, you can click the blank area in the row whe",
		"product_code":"obs",
		"title":"Bucket Management Methods",
		"uri":"obs_03_0059.html",
		"doc_type":"usermanual",
		"p_code":"135",
		"code":"136"
	},
	{
		"desc":"Buckets are containers that store objects in OBS. Before you store data in OBS, you need to create buckets.An account can create a maximum of 100 buckets.When a URL is us",
		"product_code":"obs",
		"title":"Adding a Bucket",
		"uri":"obs_03_0407.html",
		"doc_type":"usermanual",
		"p_code":"135",
		"code":"137"
	},
	{
		"desc":"This section describes how to search for a bucket by entering characters contained in its name on OBS Browser.The found buckets are displayed in the bucket list. If you w",
		"product_code":"obs",
		"title":"Searching for a Bucket",
		"uri":"obs_03_0408.html",
		"doc_type":"usermanual",
		"p_code":"135",
		"code":"138"
	},
	{
		"desc":"This section describes how to view basic information about a bucket, including the owner, capacity, location, and object quantity using OBS Browser.The statistics of Used",
		"product_code":"obs",
		"title":"Viewing Basic Information of a Bucket",
		"uri":"obs_03_0409.html",
		"doc_type":"usermanual",
		"p_code":"135",
		"code":"139"
	},
	{
		"desc":"Because OBS uploads data in the multipart mode, fragments may be generated due to any of the following data upload failures (but not limited to these failures):The networ",
		"product_code":"obs",
		"title":"Managing Fragments",
		"uri":"en-us_topic_0045853710.html",
		"doc_type":"usermanual",
		"p_code":"135",
		"code":"140"
	},
	{
		"desc":"You can delete unwanted buckets on OBS Console to free up the quota of buckets.All objects in the bucket have been deleted.This operation can be performed only by the buc",
		"product_code":"obs",
		"title":"Deleting a Bucket",
		"uri":"obs_03_0411.html",
		"doc_type":"usermanual",
		"p_code":"135",
		"code":"141"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Managing Objects",
		"uri":"obs_03_0412.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"142"
	},
	{
		"desc":"OBS Browser supports three methods of object management.You can use the operation buttons above the object list to manage objects.Click the blank area in the row where th",
		"product_code":"obs",
		"title":"Object Management Methods",
		"uri":"obs_03_0060.html",
		"doc_type":"usermanual",
		"p_code":"142",
		"code":"143"
	},
	{
		"desc":"This section describes how to create a folder using OBS Browser.Unlike the file system, OBS does not involve the concepts of file and folder. For easy data management, OB",
		"product_code":"obs",
		"title":"Creating a Folder",
		"uri":"obs_03_0413.html",
		"doc_type":"usermanual",
		"p_code":"142",
		"code":"144"
	},
	{
		"desc":"Files are uploaded in multiparts on OBS Browser. OBS Browser supports the upload of a single file with the maximum size of 48.8 TB.OBS Browser supports resumable transfer",
		"product_code":"obs",
		"title":"Uploading a File or Folder",
		"uri":"obs_03_0414.html",
		"doc_type":"usermanual",
		"p_code":"142",
		"code":"145"
	},
	{
		"desc":"OBS Browser supports batch download. You can select multiple files or folders and click Download above the object list to download objects in batches.Before downloading C",
		"product_code":"obs",
		"title":"Downloading a File or Folder",
		"uri":"obs_03_0415.html",
		"doc_type":"usermanual",
		"p_code":"142",
		"code":"146"
	},
	{
		"desc":"The object uniform resource locator (URL) (object sharing) function allows anonymous users to access object data using object URLs.An anonymous user has been assigned wit",
		"product_code":"obs",
		"title":"Accessing an Object Using Its Object URL",
		"uri":"obs_03_0416.html",
		"doc_type":"usermanual",
		"p_code":"142",
		"code":"147"
	},
	{
		"desc":"This section describes how to search for a file or folder by name prefix on OBS Browser.In the root directory of the bucket, files and folders whose name starts with the ",
		"product_code":"obs",
		"title":"Searching for a File or Folder",
		"uri":"obs_03_0417.html",
		"doc_type":"usermanual",
		"p_code":"142",
		"code":"148"
	},
	{
		"desc":"This section describes how to delete a file or folder.Deleting a folder will delete all files in the folder. Ensure that all files in a folder can be deleted before delet",
		"product_code":"obs",
		"title":"Deleting a File or Folder",
		"uri":"en-us_topic_0045853551.html",
		"doc_type":"usermanual",
		"p_code":"142",
		"code":"149"
	},
	{
		"desc":"The Cold storage class is applicable to archiving rarely-accessed (such as once a year) data. The application scenarios include data archiving and long-term data retentio",
		"product_code":"obs",
		"title":"Restoring a Cold File in OBS",
		"uri":"obs_03_0418.html",
		"doc_type":"usermanual",
		"p_code":"142",
		"code":"150"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Server-Side Encryption",
		"uri":"obs_03_0419.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"151"
	},
	{
		"desc":"After server-side encryption is enabled, objects to be uploaded will be encrypted and stored on the server. When downloading the encrypted objects, the encrypted data wil",
		"product_code":"obs",
		"title":"Server-Side Encryption Overview",
		"uri":"obs_03_0420.html",
		"doc_type":"usermanual",
		"p_code":"151",
		"code":"152"
	},
	{
		"desc":"OBS allows users to encrypt objects on the server side so that the objects can be securely stored in OBS.In the region where the OBS is deployed, add the KMS Administrato",
		"product_code":"obs",
		"title":"Uploading a File with Server-Side Encryption",
		"uri":"obs_03_0421.html",
		"doc_type":"usermanual",
		"p_code":"151",
		"code":"153"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Permission Control",
		"uri":"obs_03_0140.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"154"
	},
	{
		"desc":"OBS Browser supports permission control based on bucket policies, bucket ACLs, and object ACLs.Bucket policy: A bucket policy applies to the configured OBS bucket and obj",
		"product_code":"obs",
		"title":"Overview",
		"uri":"obs_03_0062.html",
		"doc_type":"usermanual",
		"p_code":"154",
		"code":"155"
	},
	{
		"desc":"A bucket policy defines the access control policy of resources (buckets and objects) in OBS.The size of a bucket policy cannot exceed 20 KB.Table 1 describes the paramete",
		"product_code":"obs",
		"title":"Configuring a Bucket Policy",
		"uri":"en-us_topic_0045853707.html",
		"doc_type":"usermanual",
		"p_code":"154",
		"code":"156"
	},
	{
		"desc":"By configuring ACL, you can authorize bucket and ACL permissions to the Owner, Anonymous User, Registered User, or Log Delivery User groups.",
		"product_code":"obs",
		"title":"Configuring a Bucket ACL",
		"uri":"en-us_topic_0045853509.html",
		"doc_type":"usermanual",
		"p_code":"154",
		"code":"157"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Lifecycle Management",
		"uri":"obs_03_0424.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"158"
	},
	{
		"desc":"Lifecycle management means periodically deleting objects in a bucket or transitioning between object storage classes by configuring rules.Lifecycle management applies to ",
		"product_code":"obs",
		"title":"Lifecycle Management Overview",
		"uri":"obs_03_0425.html",
		"doc_type":"usermanual",
		"p_code":"158",
		"code":"159"
	},
	{
		"desc":"You can configure a lifecycle management rule for a bucket, and applicable objects in the bucket will be managed by the rule.Basic Information:Status: Select Enable to en",
		"product_code":"obs",
		"title":"Configuring a Lifecycle Rule",
		"uri":"en-us_topic_0045853854.html",
		"doc_type":"usermanual",
		"p_code":"158",
		"code":"160"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"CORS",
		"uri":"obs_03_0427.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"161"
	},
	{
		"desc":"CORS is a browser-standard mechanism provided by the World Wide Web Consortium (W3C). It defines the interaction methods between client-side web applications in one origi",
		"product_code":"obs",
		"title":"CORS Overview",
		"uri":"obs_03_0428.html",
		"doc_type":"usermanual",
		"p_code":"161",
		"code":"162"
	},
	{
		"desc":"This section describes how to use CORS in HTML5 to implement cross-origin access.You can set a maximum of 100 CORS rules for one bucket.Table 1 describes parameters in CO",
		"product_code":"obs",
		"title":"Configuring CORS",
		"uri":"en-us_topic_0045853860.html",
		"doc_type":"usermanual",
		"p_code":"161",
		"code":"163"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Logging",
		"uri":"obs_03_0430.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"164"
	},
	{
		"desc":"You can enable logging to facilitate analysis or audit as required. Access logs enable a bucket owner to analyze the property, type, or trend of requests to the bucket in",
		"product_code":"obs",
		"title":"Logging Overview",
		"uri":"obs_03_0431.html",
		"doc_type":"usermanual",
		"p_code":"164",
		"code":"165"
	},
	{
		"desc":"After logging is enabled for a bucket, OBS automatically converts bucket logs into objects following the naming rules and writes the objects into a target bucket.The log ",
		"product_code":"obs",
		"title":"Configuring Logging",
		"uri":"en-us_topic_0045853744.html",
		"doc_type":"usermanual",
		"p_code":"164",
		"code":"166"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"External Buckets",
		"uri":"obs_03_0433.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"167"
	},
	{
		"desc":"The bucket owner can authorize other accounts the read and write access to the bucket. If you are authorized with such permissions, you can add the bucket on OBS Browser ",
		"product_code":"obs",
		"title":"External Bucket Overview",
		"uri":"obs_03_0434.html",
		"doc_type":"usermanual",
		"p_code":"167",
		"code":"168"
	},
	{
		"desc":"OBS Browser supports the external bucket adding function.You have obtained the permissions to read and write the external bucket that you want to add.For example: Account",
		"product_code":"obs",
		"title":"Adding External Buckets",
		"uri":"en-us_topic_0045853737.html",
		"doc_type":"usermanual",
		"p_code":"167",
		"code":"169"
	},
	{
		"desc":"A bucket ACL can be used to grant the read and write access to a bucket. If only the read access to the bucket is granted, the authorized user can only add the bucket and",
		"product_code":"obs",
		"title":"Application Example 1: Authorizing Access Permissions Required for Adding an External Bucket Through the Bucket ACL",
		"uri":"obs_03_0134.html",
		"doc_type":"usermanual",
		"p_code":"167",
		"code":"170"
	},
	{
		"desc":"A standard bucket policy can be used to grant the read and write access to a bucket. The standard bucket policy grants the public read and write access to the bucket, tha",
		"product_code":"obs",
		"title":"Application Example 2: Authorizing Access Permissions Required for Adding an External Bucket Through the Standard Bucket Policy",
		"uri":"obs_03_0135.html",
		"doc_type":"usermanual",
		"p_code":"167",
		"code":"171"
	},
	{
		"desc":"A custom bucket policy can be used to grant the read and write access permissions to the bucket to be added.If a custom bucket policy is used to authorize such permission",
		"product_code":"obs",
		"title":"Application Example 3: Authorizing Access Permissions Required for Adding an External Bucket Through the Custom Bucket Policy",
		"uri":"obs_03_0136.html",
		"doc_type":"usermanual",
		"p_code":"167",
		"code":"172"
	},
	{
		"desc":"OBS Browser supports the management of upload, download, deletion, and restoration tasks. You can suspend, cancel, or delete tasks using the task management function.If t",
		"product_code":"obs",
		"title":"Task Management",
		"uri":"obs_03_0435.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"173"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Related Operations",
		"uri":"obs_03_0028.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"174"
	},
	{
		"desc":"This section describes how to modify system configurations.Table 1 describes the parameters that can be modified.",
		"product_code":"obs",
		"title":"Configuring the System",
		"uri":"en-us_topic_0045853630.html",
		"doc_type":"usermanual",
		"p_code":"174",
		"code":"175"
	},
	{
		"desc":"Account names on OBS Browser are used to distinguish one from another, which are irrelevant to the registered cloud service account. An OBS Browser account has one pair o",
		"product_code":"obs",
		"title":"Managing Accounts",
		"uri":"en-us_topic_0045853764.html",
		"doc_type":"usermanual",
		"p_code":"174",
		"code":"176"
	},
	{
		"desc":"This section describes how to update OBS Browser.Every time you log in to OBS Browser, the system automatically checks for update by default. If the current version is no",
		"product_code":"obs",
		"title":"Updating OBS Browser",
		"uri":"obs_03_0438.html",
		"doc_type":"usermanual",
		"p_code":"174",
		"code":"177"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Troubleshooting",
		"uri":"obs_03_0439.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"178"
	},
	{
		"desc":"When a user attempts to log in to OBS Browser, the login page does not respond.Delete the obs folder in the AppData\\Local directory on the C drive to clear OBS Browser re",
		"product_code":"obs",
		"title":"Login Page of OBS Browser Does Not Respond upon User Login",
		"uri":"obs_03_0440.html",
		"doc_type":"usermanual",
		"p_code":"178",
		"code":"179"
	},
	{
		"desc":"Why is no upload task created and nothing displayed on the page after a large number of files are selected for upload using OBS Browser? For example, after a user logs in",
		"product_code":"obs",
		"title":"No Upload Task Is Created After a Large Number of Files Are Selected for Upload On OBS Browser",
		"uri":"obs_03_0441.html",
		"doc_type":"usermanual",
		"p_code":"178",
		"code":"180"
	},
	{
		"desc":"Why does blue or black screen of death occur when files are uploaded using OBS Browser?When OBS Browser is used to upload a large number of files or a few of big files, m",
		"product_code":"obs",
		"title":"Blue or Black Screen of Death Occurs During File Upload on OBS Browser",
		"uri":"obs_03_0442.html",
		"doc_type":"usermanual",
		"p_code":"178",
		"code":"181"
	},
	{
		"desc":"Why are the tasks not displayed in the task list when objects are being uploaded, downloaded, or deleted using OBS Browser?When OBS Browser is used to upload, download, o",
		"product_code":"obs",
		"title":"Tasks Are Not Displayed in the Task List When Objects Are Managed Using OBS Browser",
		"uri":"obs_03_0443.html",
		"doc_type":"usermanual",
		"p_code":"178",
		"code":"182"
	},
	{
		"desc":"OBS is unavailable when an error is reported stating \"Time difference is longer than 15 minutes between the client and server.\"For security purposes, OBS checks the time ",
		"product_code":"obs",
		"title":"Time Difference Is Longer Than 15 Minutes Between the Client and the Server",
		"uri":"obs_03_0444.html",
		"doc_type":"usermanual",
		"p_code":"178",
		"code":"183"
	},
	{
		"desc":"When starting OBS Browser on a Windows OS, an error occurs with the message displays as \"The task management function cannot work properly because the database is unavail",
		"product_code":"obs",
		"title":"An Error Occurs During the Start-up of OBS Browser, Indicating That the Task Management Function Cannot Work Properly Due to Unavailability of the Database",
		"uri":"obs_03_0145.html",
		"doc_type":"usermanual",
		"p_code":"178",
		"code":"184"
	},
	{
		"desc":"If a request fails to be processed due to errors, an error response is returned. An error response contains an error code and error details. Table 1 lists some common err",
		"product_code":"obs",
		"title":"List of OBS Error Codes",
		"uri":"obs_03_0445.html",
		"doc_type":"usermanual",
		"p_code":"119",
		"code":"185"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"FAQs",
		"uri":"obs_faq_10000.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"186"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"OBS Basics",
		"uri":"obs_faq_0100.html",
		"doc_type":"usermanual",
		"p_code":"186",
		"code":"187"
	},
	{
		"desc":"Register an account, add a payment method, and you can start using OBS.If you use an IAM user, ensure that the user has been added to a user group that has the permission",
		"product_code":"obs",
		"title":"How Can I Get Started Using OBS?",
		"uri":"obs_faq_0032.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"188"
	},
	{
		"desc":"You can access OBS through domain names. When you are using the API, third-party tools, or other methods to access OBS, you can use domain names to conveniently locate re",
		"product_code":"obs",
		"title":"How Do I Obtain an OBS Endpoint?",
		"uri":"obs_faq_0124.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"189"
	},
	{
		"desc":"SAN storage provides LUNs or volumes for applications. LUNs and volumes are forms of disk storage. Upper-layer applications use Fibre Channel or iSCSI protocols to access",
		"product_code":"obs",
		"title":"What Are the Advantages of Object Storage over SAN and NAS Storage?",
		"uri":"obs_faq_0006.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"190"
	},
	{
		"desc":"OBS can store all types of data.",
		"product_code":"obs",
		"title":"Which Types of Data Can Be Stored in OBS?",
		"uri":"obs_faq_0009.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"191"
	},
	{
		"desc":"There are no restrictions on the total capacity or number of objects or files that can be stored by the OBS system or in any single bucket. However, there are limitations",
		"product_code":"obs",
		"title":"How Much Data Can I Store in OBS?",
		"uri":"obs_faq_0010.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"192"
	},
	{
		"desc":"No.OBS does not involve files or folders like in a file system. For your convenience, OBS provides a way to simulate folders. On OBS Console, you can simulate a folder by",
		"product_code":"obs",
		"title":"Can Folders in OBS Be Used the Same Way as in a File System?",
		"uri":"obs_faq_0016.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"193"
	},
	{
		"desc":"When creating a bucket on OBS, you can specify a region for the bucket. Then your data on OBS is stored on multiple storage devices in this region.",
		"product_code":"obs",
		"title":"Where Is Data Stored in OBS?",
		"uri":"obs_faq_0018.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"194"
	},
	{
		"desc":"An OBS bucket name is the name of the bucket you created.The domain name is the endpoint of the region where the bucket is located.The domain name of your bucket is the b",
		"product_code":"obs",
		"title":"What Is the Relationship Between OBS Bucket Names and OBS Domain Names?",
		"uri":"obs_faq_0123.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"195"
	},
	{
		"desc":"Yes, OBS can be accessed over HTTPS.When accessing OBS using the allocated domain name, just replace http in the URL of the bucket or object with https in the browser.",
		"product_code":"obs",
		"title":"Does OBS Support Access over HTTPS?",
		"uri":"obs_03_0071.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"196"
	},
	{
		"desc":"Yes.Bucket ACLs and bucket policies can be used to grant other users read access to your buckets.For objects, you can grant other users read permissions for objects in yo",
		"product_code":"obs",
		"title":"Can Other Users Access My Data Stored in OBS?",
		"uri":"obs_faq_0125.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"197"
	},
	{
		"desc":"Resumable transfer is supported for all transfer methods except API.",
		"product_code":"obs",
		"title":"Does OBS Support Resumable Data Transfer?",
		"uri":"obs_faq_0014.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"198"
	},
	{
		"desc":"The following table lists the batch upload support for different OBS tools.",
		"product_code":"obs",
		"title":"Does OBS Support Batch Upload?",
		"uri":"obs_faq_0015.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"199"
	},
	{
		"desc":"The following table lists the batch download support for different OBS tools.",
		"product_code":"obs",
		"title":"Does OBS Support Batch Download?",
		"uri":"obs_faq_0047.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"200"
	},
	{
		"desc":"The following table lists the batch deletion support for different OBS tools.",
		"product_code":"obs",
		"title":"Does OBS Support Batch Deletion of Objects?",
		"uri":"obs_faq_0020.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"201"
	},
	{
		"desc":"In theory, OBS has no limitations on either upload or download speeds, but, if you access OBS over a public network, your speed will be limited by public network conditio",
		"product_code":"obs",
		"title":"What Are Factors that Affect the Upload and Download Speed of OBS?",
		"uri":"obs_03_0100.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"202"
	},
	{
		"desc":"Check whether there is a lifecycle rule configured to automatically delete objects after a certain date.Check whether the write permission to the bucket has been granted ",
		"product_code":"obs",
		"title":"Why Did Some of My Data Stored on OBS Get Lost?",
		"uri":"obs_03_0138.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"203"
	},
	{
		"desc":"If the versioning function is enabled for a bucket, deleted objects are saved to the Deleted Objects list. You can recover objects from the Deleted Objects list. For deta",
		"product_code":"obs",
		"title":"Can Deleted Data Be Recovered?",
		"uri":"obs_03_0139.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"204"
	},
	{
		"desc":"After you select the objects that you want to delete, OBS will delete the data completely, with nothing remaining. This protects against data leaks.",
		"product_code":"obs",
		"title":"Will There Be Data Left Over in OBS After I Delete an Object?",
		"uri":"obs_faq_0023.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"205"
	},
	{
		"desc":"Yes. OBS buckets (version 3.0 and later) are Multi-AZ reliable. They can keep resource accessible in terms of force majeure such as natural disasters when an AZ is unavai",
		"product_code":"obs",
		"title":"Does OBS Provide Multi-AZ Reliability?",
		"uri":"obs_faq_0141.html",
		"doc_type":"usermanual",
		"p_code":"187",
		"code":"206"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Access Control",
		"uri":"obs_faq_1100.html",
		"doc_type":"usermanual",
		"p_code":"186",
		"code":"207"
	},
	{
		"desc":"You can use the following mechanisms to control access to OBS.IAM policiesIAM policies define the actions that can be performed on your cloud resources, specifying what a",
		"product_code":"obs",
		"title":"How Can I Control Access to OBS?",
		"uri":"obs_faq_0042.html",
		"doc_type":"usermanual",
		"p_code":"207",
		"code":"208"
	},
	{
		"desc":"IAM policies apply to cloud resources. With the OBS permissions, an IAM policy can be applied to all buckets and objects in OBS.A bucket policy only applies to the bucket",
		"product_code":"obs",
		"title":"What Are the Differences Between Using an IAM Policy and a Bucket Policy in Access Control?",
		"uri":"obs_faq_0054.html",
		"doc_type":"usermanual",
		"p_code":"207",
		"code":"209"
	},
	{
		"desc":"An object policy takes effect on only one object in a bucket. A bucket policy can be applied to multiple or all objects in a bucket.",
		"product_code":"obs",
		"title":"What Is the Relationship Between a Bucket Policy and an Object Policy?",
		"uri":"obs_faq_0055.html",
		"doc_type":"usermanual",
		"p_code":"207",
		"code":"210"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Buckets and Objects",
		"uri":"obs_faq_1200.html",
		"doc_type":"usermanual",
		"p_code":"186",
		"code":"211"
	},
	{
		"desc":"If the number of buckets created by the current user reaches 100, delete some unneeded buckets first.If the name for the new bucket already exists, use another name and t",
		"product_code":"obs",
		"title":"Why Am I Unable to Create a Bucket?",
		"uri":"obs_faq_0138.html",
		"doc_type":"usermanual",
		"p_code":"211",
		"code":"212"
	},
	{
		"desc":"Check whether the network connectivity between the local computer and OBS is normal. If the network is down, restore the network connectivity.If a message indicating \"ser",
		"product_code":"obs",
		"title":"Why Am I Unable to Upload an Object?",
		"uri":"obs_faq_0134.html",
		"doc_type":"usermanual",
		"p_code":"211",
		"code":"213"
	},
	{
		"desc":"Check whether the network connectivity between the local computer and OBS is normal. If the network is down, restore the network connectivity.Check whether the account is",
		"product_code":"obs",
		"title":"Why Am I Unable to Download an Object?",
		"uri":"obs_faq_0135.html",
		"doc_type":"usermanual",
		"p_code":"211",
		"code":"214"
	},
	{
		"desc":"Check whether the network connectivity between the local computer and OBS is normal. If the network is down, restore the network connectivity.Check whether all objects in",
		"product_code":"obs",
		"title":"Why Can't I Delete a Bucket?",
		"uri":"obs_faq_0064.html",
		"doc_type":"usermanual",
		"p_code":"211",
		"code":"215"
	},
	{
		"desc":"When an object is uploaded, it inherits the storage class of the bucket by default, but you can change the default storage class when you upload the object.Changing the s",
		"product_code":"obs",
		"title":"What Is the Relationship Between Bucket Storage Classes and Object Storage Classes?",
		"uri":"obs_faq_0132.html",
		"doc_type":"usermanual",
		"p_code":"211",
		"code":"216"
	},
	{
		"desc":"No. After a bucket is created, the region cannot be changed.",
		"product_code":"obs",
		"title":"Can I Modify the Region of a Bucket?",
		"uri":"obs_faq_0133.html",
		"doc_type":"usermanual",
		"p_code":"211",
		"code":"217"
	},
	{
		"desc":"Object access paths use the following format: https://{bucket name}.{domain name}/{object name}.You can combine a path manually or use the tools in the following table to",
		"product_code":"obs",
		"title":"How Do I Obtain the Access Path to an Object?",
		"uri":"obs_faq_0031.html",
		"doc_type":"usermanual",
		"p_code":"211",
		"code":"218"
	},
	{
		"desc":"On OBS Console and OBS Browser, you can search for objects by object name prefix. For example, if you search for test, you will find all objects whose names start with te",
		"product_code":"obs",
		"title":"Why Can't I Find Certain Objects in a Bucket When I Searched for Them?",
		"uri":"obs_faq_0136.html",
		"doc_type":"usermanual",
		"p_code":"211",
		"code":"219"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Security",
		"uri":"obs_faq_0200.html",
		"doc_type":"usermanual",
		"p_code":"186",
		"code":"220"
	},
	{
		"desc":"OBS is secure. It provides end-to-end security services. For example, if a bucket or an object is undisclosed when you access the bucket or object, only the owner of the ",
		"product_code":"obs",
		"title":"How Is Data Security Ensured in OBS?",
		"uri":"obs_faq_0038.html",
		"doc_type":"usermanual",
		"p_code":"220",
		"code":"221"
	},
	{
		"desc":"OBS only determines whether data blocks exist or are damaged (repairs data if damaged) by scanning for the data. It does not read specific data.",
		"product_code":"obs",
		"title":"Does OBS Scan My Data for Other Purposes?",
		"uri":"obs_faq_0039.html",
		"doc_type":"usermanual",
		"p_code":"220",
		"code":"222"
	},
	{
		"desc":"No. Background engineers cannot export your data. For example, if a bucket or an object is undisclosed when you access the bucket or object, only the owner of the bucket ",
		"product_code":"obs",
		"title":"Can Background Engineers Export My Data from OBS?",
		"uri":"obs_faq_0040.html",
		"doc_type":"usermanual",
		"p_code":"220",
		"code":"223"
	},
	{
		"desc":"Only the owner of a bucket or an object can access it. Accessing a bucket or object requires access keys (AK/SK). In addition, multiple access control mechanisms such as ",
		"product_code":"obs",
		"title":"How Does OBS Prevent My Data from Being Stolen?",
		"uri":"obs_faq_0041.html",
		"doc_type":"usermanual",
		"p_code":"220",
		"code":"224"
	},
	{
		"desc":"Yes. The pair of AK and SK can be replaced at any time.",
		"product_code":"obs",
		"title":"Can a Pair of AK and SK Be Replaced When They Are Being Used to Access OBS?",
		"uri":"obs_faq_0043.html",
		"doc_type":"usermanual",
		"p_code":"220",
		"code":"225"
	},
	{
		"desc":"Yes. Different users can use the same pair of AK and SK to access the same resources in OBS.",
		"product_code":"obs",
		"title":"Can a Pair of AK and SK Be Used by Multiple Users to Access OBS?",
		"uri":"obs_faq_0021.html",
		"doc_type":"usermanual",
		"p_code":"220",
		"code":"226"
	},
	{
		"desc":"Before uploading your data to OBS, you can encrypt the data to ensure security during transmission and storage. OBS support various encryption technologies used on client",
		"product_code":"obs",
		"title":"Which Encryption Technologies Are Supported by OBS?",
		"uri":"obs_faq_0044.html",
		"doc_type":"usermanual",
		"p_code":"220",
		"code":"227"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"How Do I Use Fragment Management?",
		"uri":"obs_faq_0700.html",
		"doc_type":"usermanual",
		"p_code":"186",
		"code":"228"
	},
	{
		"desc":"Fragments are incomplete data in buckets generated due to data upload failures.Data can be uploaded to OBS using multipart uploads. Fragments are generated, if a multipar",
		"product_code":"obs",
		"title":"Why Are Fragments Generated?",
		"uri":"obs_faq_0037.html",
		"doc_type":"usermanual",
		"p_code":"228",
		"code":"229"
	},
	{
		"desc":"Fragments on OBS consume storage spaces that are charged according to price rates of storage space.You can clear the fragments in a bucket on OBS Console or OBS Browser.I",
		"product_code":"obs",
		"title":"How Do I Manage Fragments?",
		"uri":"obs_faq_0046.html",
		"doc_type":"usermanual",
		"p_code":"228",
		"code":"230"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"How Do I Use Versioning?",
		"uri":"obs_faq_0800.html",
		"doc_type":"usermanual",
		"p_code":"186",
		"code":"231"
	},
	{
		"desc":"If versioning is enabled and an object is being uploaded, OBS automatically allocates a unique version ID to the object. Objects with the same name are stored in OBS with",
		"product_code":"obs",
		"title":"Can I Upload an Object to a Folder Where a Namesake Object Already Exists?",
		"uri":"obs_faq_0050.html",
		"doc_type":"usermanual",
		"p_code":"231",
		"code":"232"
	},
	{
		"desc":"After versioning is enabled, if you delete an object without specifying a version ID, the object is tagged with a Delete Marker and displayed in the list of Deleted Objec",
		"product_code":"obs",
		"title":"Can I Recover a Deleted Object?",
		"uri":"obs_faq_0045.html",
		"doc_type":"usermanual",
		"p_code":"231",
		"code":"233"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"How Do I Use Tags?",
		"uri":"obs_03_0038.html",
		"doc_type":"usermanual",
		"p_code":"186",
		"code":"234"
	},
	{
		"desc":"Searching for buckets by tag is not supported by OBS. However, you can use Tag Management Service (TMS) to search for buckets by tag. For details, see Searching for Cloud",
		"product_code":"obs",
		"title":"Can I Search for a Bucket by Tag?",
		"uri":"obs_03_0039.html",
		"doc_type":"usermanual",
		"p_code":"234",
		"code":"235"
	},
	{
		"desc":"If you add tags to a bucket, charging data records (CDRs) generated by the requests for this bucket will be added with these tags, so that you can use the tags to classif",
		"product_code":"obs",
		"title":"What Can I Do with Tags?",
		"uri":"obs_03_0040.html",
		"doc_type":"usermanual",
		"p_code":"234",
		"code":"236"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Event Notification",
		"uri":"obs_faq_0900.html",
		"doc_type":"usermanual",
		"p_code":"186",
		"code":"237"
	},
	{
		"desc":"OBS supports event notification for the following event types:ObjectCreated: Indicates all kinds of object creation operations, including PUT, POST, and COPY of objects, ",
		"product_code":"obs",
		"title":"Which Events Can Trigger Event Notifications?",
		"uri":"obs_faq_0051.html",
		"doc_type":"usermanual",
		"p_code":"237",
		"code":"238"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"How Do I Use Lifecycle Management?",
		"uri":"obs_faq_0400.html",
		"doc_type":"usermanual",
		"p_code":"186",
		"code":"239"
	},
	{
		"desc":"Lifecycle management applies to the following scenarios:Some periodically uploaded files need only to be retained for one week or one month, and can be deleted once they ",
		"product_code":"obs",
		"title":"What Are the Application Scenarios of Lifecycle Management?",
		"uri":"obs_faq_0027.html",
		"doc_type":"usermanual",
		"p_code":"239",
		"code":"240"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"How Do I Use Static Website Hosting?",
		"uri":"obs_faq_0500.html",
		"doc_type":"usermanual",
		"p_code":"186",
		"code":"241"
	},
	{
		"desc":"OBS supports static website hosting. You can configure the static website hosting function for your buckets on OBS Console. When a client accesses objects from the websit",
		"product_code":"obs",
		"title":"Can OBS Host My Static Websites?",
		"uri":"obs_faq_0028.html",
		"doc_type":"usermanual",
		"p_code":"241",
		"code":"242"
	},
	{
		"desc":"Static websites contain static web pages and some scripts that can run on clients, such as JavaScript and Flash.",
		"product_code":"obs",
		"title":"Which Types of Websites Are Suitable for Static Website Hosting in OBS?",
		"uri":"obs_faq_0029.html",
		"doc_type":"usermanual",
		"p_code":"241",
		"code":"243"
	},
	{
		"desc":"You can obtain the static website hosting address of the bucket on OBS Console.You can also get the address according to the following rule and format. Address format: ht",
		"product_code":"obs",
		"title":"How Do I Obtain the Static Website Hosting Address of a Bucket?",
		"uri":"obs_faq_0030.html",
		"doc_type":"usermanual",
		"p_code":"241",
		"code":"244"
	},
	{
		"desc":"HUAWEI CLOUD Help Center presents technical documents to help you quickly get started with HUAWEI CLOUD services. The technical documents include Service Overview, Price Details, Purchase Guide, User Guide, API Reference, Best Practices, FAQs, and Videos.",
		"product_code":"obs",
		"title":"Change History",
		"uri":"obs_03_9999.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"245"
	},
	{
		"desc":"For details about the terms involved in this document, see Glossary.",
		"product_code":"obs",
		"title":"Glossary",
		"uri":"obs_03_9998.html",
		"doc_type":"usermanual",
		"p_code":"",
		"code":"246"
	}
]